Subject: Re: [PATCH] Makefile: quiet shell commands when "make --silent"

From: Pete Wyckoff <[email-masked]>
Date: Mon, 10 Sep 2012 08:16:51 -0400

[email-masked] wrote on Sun, 09 Sep 2012 17:35 -0700:
> Pete Wyckoff <[email-masked]> writes:
> 
> > Option "--silent", "--quiet" or "-s" to make prevents
> > echoing of commands as they are executed.  However, there
> > are some explicit "echo" commands in the Makefile and in
> > the two GIT-VERSION-GEN scripts that always echo.
> 
> "make -s clean"?

Fixed here.

> I am not very enthused, especially if the primary motivation is
> about "check-docs".  Such a script must be prepared to filter out
> cruft from the output of $(MAKE) and to pick out the bits that
> interests it and that has been the way of life with $(MAKE) way
> before Git started as a project ;-).

My motivation was to quiet output from a script I use
to test bisectability.  I sent it out because I noticed
someone else found the verbosity annoying too.

Agreed that "fixing" check-docs is not important; that's
why I didn't bother in this patch.

		-- Pete